Opened 8 years ago

Closed 8 years ago

#32954 closed defect (fixed)

octave-odepkg needs to list build-time dependencies, gsed in particular

Reported by: alexey.muranov@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.0.3
Keywords: Cc:
Port: octave-odepkg

Description

octave-odepkg needs gsed to install, but it is not listed as build-time dependency (i think that no dependencies are listed at all, are they?).

gsed is also not a run-time dependency of octave-devel, so i had it removed, and it took me looking through the logs to find out why octave-odepkg failed to install.

Change History (1)

comment:1 Changed 8 years ago by jmroot (Joshua Root)

Keywords: dependency gsed removed
Resolution: fixed
Status: newclosed

Added gsed dep in r95485. Closing since you didn't specify what the other missing dependencies are, if any.

Note: See TracTickets for help on using tickets.